All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros
check_column_index.hpp File Reference
`#include <stan/math/prim/scal/err/out_of_range.hpp>`
`#include <stan/math/prim/mat/fun/Eigen.hpp>`
`#include <stan/math/prim/scal/meta/error_index.hpp>`
`#include <sstream>`
`#include <string>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

template<typename T_y , int R, int C>
bool | stan::math::check_column_index (const char *function, const char *name, const Eigen::Matrix< T_y, R, C > &y, const size_t i)
| Return `true` if the specified index is a valid column of the matrix. More...

[ Stan Home Page ] © 2011–2015, Stan Development Team.